function getOffsetTop(elem) {
    var top = 0;
    top = window.pageYOffset ? window.pageYOffset : document.documentElement.scrollTop;
    try{
        top += elem.getBoundingClientRect().top;
    }catch(e){

    }finally{
        return top;
    }
}

var imgs = document.getElementsByTagName("img");
var fs = new Date();
var fsItems = [];
function firstscreen_time() {
    var sh = document.documentElement.clientHeight;
    for (var i = 0; i < fsItems.length; i++) {
        var item = fsItems[i], img = item['img'], time = item['time'], top = getOffsetTop(img);
        if (top > 0 && top < sh) {
            fs = time > fs ? time : fs;
        }
    }
    return fs;
}

function first_screen () {
    window.addEventListener('DOMContentLoaded', function() {
        prompt('onDOMContentLoaded');
    });

    var loadEvent = function() {
        if (this.removeEventListener) {
            this.removeEventListener("load:", loadEvent, false);
        }
        prompt("push fsItems");
        fsItems.push({ img : this, time : new Date() });
    };
    for (var i = 0; i < imgs.length; i++) {
            var img = imgs[i];
            if (img.addEventListener) {
                    prompt("img add eventListener");
                    img.addEventListener("load", loadEvent, false);
            } else if (img.attachEvent) {
                prompt("attachEvent");
                img.attachEvent("onreadystatechange", function() {
                    if (img.readyState == "complete") {
                        loadEvent.call(img, loadEvent);
                    }
                });
            }
    }

    window.addEventListener('load', function() {
        var t = performance.timing;
        var white = t.domLoading     - t.navigationStart;
        var load =  t.loadEventStart - t.navigationStart;
        var domload = t.domContentLoadedEventEnd - t.navigationStart;
        var firstscreen_duration = firstscreen_time().getTime() - t.navigationStart;

        prompt('onFinish>onWhite='+white+"=onFirstScreen="+firstscreen_duration+"=onDomLoaded="+domload+"=onLoaded="+load)
    });

    prompt('domc:' + imgs.length);
}
